
Foreman - Feature #7828

Provide base URL of Foreman via foreman_url 

10/07/2014 03:54 AM - Lukas Zapletal

Status: Duplicate   

Priority: Normal   

Assignee:    

Category: Templates   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.6.0

Bugzilla link: 1176111 Red Hat JIRA:  

Pull request:    

Description

We currently can't use foreman_url in PXELinux Global Default or similar templates, because there is no @host accessible, therefore

it leads to failed to process template: undefined method `token' for nil:NilClass errors.

We can easily allow this by skipping the token when @host attribute is not available.

Related issues:

Related to Foreman - Bug #11723: Build PXE Default fails with error Closed 09/08/2015

Related to Foreman - Bug #14232: Missing variable to include Sat 6 Hostname i... Closed 03/16/2016

Related to Foreman - Feature #14245: Create new template helper setting('glob... New 03/17/2016

History

#1 - 10/08/2014 05:34 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/1827 added

- Pull request deleted ()

#2 - 12/19/2014 11:18 AM - Bryan Kearney

- Bugzilla link set to 1176111

#3 - 09/10/2015 04:13 AM - Dominic Cleal

- Tracker changed from Bug to Feature

- Status changed from Ready For Testing to New

- Assignee deleted (Lukas Zapletal)

- Target version deleted (1.7.2)

- Pull request  added

- Pull request deleted (https://github.com/theforeman/foreman/pull/1827)

#4 - 09/10/2015 04:26 AM - Dominic Cleal

- Related to Bug #11723: Build PXE Default fails with error added

#5 - 09/10/2015 04:28 AM - Dominic Cleal

- Subject changed from Allow foreman_url to be used in generic templates to Provide base URL of Foreman via foreman_url 

#11723 sort of replaces this, permitting use of foreman_url in a default template.  Changing this ticket to match 

https://github.com/theforeman/foreman/pull/1827#issuecomment-68529530 which asks for a way to have foreman_url return the base URL.

#6 - 03/16/2016 01:05 PM - Marek Hulán

- Related to Bug #14232: Missing variable to include Sat 6 Hostname in PXE Menus added
#7 - 03/16/2016 01:10 PM - Marek Hulán

- Status changed from New to Duplicate

The @host problem was already solved by #11723, foreman_url is still not usable with safe mode though, which should be fixed by #14232. Also

instead of using foreman_url('base') we introduce new method called foreman_server_fqdn that wouldn't contain protocol. If you'd still want to add

foreman_url('base') support please reopen or comment in #14232 which could probably incorporate it as well.

#8 - 03/17/2016 03:31 AM - Lukas Zapletal

- Related to Feature #14245: Create new template helper setting('global_setting_name') added

#9 - 03/17/2016 03:32 AM - Lukas Zapletal

The new method is fine, thanks.

Powered by TCPDF (www.tcpdf.org)

05/09/2024 2/2

https://projects.theforeman.org/issues/11723
https://projects.theforeman.org/issues/14232
https://projects.theforeman.org/issues/14232
http://www.tcpdf.org

